## org.apache.mahout.classifier.sgd
Class ModelDissector.Weight

    java.lang.Object
      org.apache.mahout.classifier.sgd.ModelDissector.Weight

All Implemented Interfaces:
  Comparable<ModelDissector.Weight>

Enclosing class:
  ModelDissector

    public static class ModelDissector.Weight

extends Object
implements Comparable<ModelDissector.Weight>

Constructor Summary
`ModelDissector.Weight(String feature, Vector weights)`
`ModelDissector.Weight(String feature, Vector weights, int n)`

Method Summary
`int` `compareTo(ModelDissector.Weight other)`
`boolean` `equals(Object o)`
`double` `getCategory(int n)`
`String` `getFeature()`
`int` `getMaxImpact()`
`double` `getWeight()`
`double` `getWeight(int n)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelDissector.Weight

    public ModelDissector.Weight(String feature,
                                 Vector weights)

### ModelDissector.Weight

    public ModelDissector.Weight(String feature,
                                 Vector weights,
                                 int n)

Method Detail

### compareTo

    public int compareTo(ModelDissector.Weight other)

  Specified by:
    `compareTo` in interface `Comparable<ModelDissector.Weight>`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getFeature

    public String getFeature()

### getWeight

    public double getWeight()

### getWeight

    public double getWeight(int n)

### getCategory

    public double getCategory(int n)

### getMaxImpact

    public int getMaxImpact()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.